# nng_msg_trim(3) Manual Page

## NAME

nng_msg_trim - remove data from start of message body

## SYNOPSIS

    #include <nng/nng.h>

    int nng_msg_trim(nng_msg *msg, size_t size);
    int nng_msg_trim_u16(nng_msg *msg, uint16_t *val16);
    int nng_msg_trim_u32(nng_msg *msg, uint32_t *val32);
    int nng_msg_trim_u64(nng_msg *msg, uint64_t *val64);

## DESCRIPTION

The `nng_msg_trim()` family of functions removes data from the start of the body of message msg. The first function removes size bytes. The remaining functions remove 2, 4, or 8 bytes, and stores them in the value (such as val32), after converting them from network-byte order (big-endian) to native byte order.

## RETURN VALUES

These functions return 0 on success, and non-zero otherwise.

## ERRORS

`NNG_EINVAL` | The message body is too short to remove the requested data.

## SEE ALSO

nng_msg_alloc(3), nng_msg_append(3), nng_msg_body(3), nng_msg_chop(3), nng_msg_free(3), nng_msg_insert(3), nng_msg_len(3), nng_msg_realloc(3), nng_strerror(3), nng_msg(5), nng(7)